#include <bits/stdc++.h>
using namespace std;
#define ll long long
const int N=200050;
int x[2][N];
int main()
{
	int n;ll ans=0;
	scanf("%i",&n);
	for(int i=1;i<=n;i++) scanf("%i %i",&x[0][i],&x[1][i]);
	for(int j=0;j<2;j++)
	{
		sort(x[j]+1,x[j]+1+n);
		for(int i=1;i<=n;i++) ans+=abs(x[j][i]-i);
	}
	printf("%lld\n",ans);
	return 0;
}